WESNOTH(6)

IME
wesnoth -- "Boj za Vesnot", fantazijska strategija na poteze

PREGLED
wesnoth [OPCIJE] [PUTANJA_DO_PODATAKA]

OPIS
"Boj za Vesnot" je fantazijska strateška igra na poteze. Porazite sve neprijateljske vođe dobro izabranom vojnom družinom, starajući se usput o izvorima zlata i selima. Svaka jedinica ima svoje vrline i mane; da biste pobijedili, rasporedite snage tako da se istaknu preimućstva, pritom spriječivši protivnika da učini to isto. Kako jedinice postaju iskusnije, dobijaju nove sposobnosti i postaju snažnije. Igrajte na svom maternjem jeziku iskušavajući vještine protiv pametnog računarskog protivnika, ili se pridružite Vesnotovoj velikoj zajednici igrača na vezi. Pravite sopstvene posebne jedinice, scenarije, pohode, i podijelite ih sa drugim igračima.

OPCIJE

--bpp broj
    postavlja vrijednost BitsPerPixel. Primjer: --bpp 32

-c, --campaign   [<id-pohoda>]
    skače direktno na pohod sa ID-om <id-pohoda>. Ako se ID ne zada, pojaviće se meni za izbor. Napomena: Pri upotrebi ove opcije morate zadati i putanju direktorijuma podataka kao poslednji argument, inače će ID pohoda ili scenarija biti shvaćen kao direktorijum podataka.

--campaign-difficulty [<difficulty>]
    težina zadatog pohoda (od 1 do najveće). Ako se ne zada, pojaviće se dijalog za izbor težine pohoda.

--campaign-scenario <id-scenarija>
    ID scenarija iz zadatog pohoda. Podrazumevan je prvi scenario.

--data-dir <direktorijum>
    potiskuje direktorijum podataka ovde zadatim.

--data-path
    path the path of the data directory and exits.

-d, --debug
    uključuje dopunske opcije komandnog režima tokom igre (više detalja potražite na viki stranici http://www.wesnoth.org/wiki/CommandMode).

-e, --editor  datoteka
    direktno pokreće uređivač mapa u igri. Ako je zadata datoteka, istovjetno sa -l --load.

--fps
    prikazuje broj kadrova po sekundi dok teče igra, u uglu ekrana.

-f, --fullscreen
    pokreće igru preko cijelog ekrana.

--gunzip uldat.gz
    raspakuje datoteku, koja treba da je u formatu GZIP, i skladišti je bez nastavka .gz. uldat.gz će biti uklonjena.

--gzip uldat
    pakuje datoteku u format GZIP, skladišti je kao uldat.gz i uklanja uldat.

-h, --help
    prikazuje sažetak opcija komandne linije na standarnom izlazu.

-l, --load datoteka
    učitava poziciju datoteka iz standardnog direktorijuma sačuvanih pozicija. Ako je zadata i opcija -e ili --editor, pokreće se uređivač sa otvorenom mapom iz te datoteke. Ako je datoteka u stvari direktorijum, uređivač će na njemu otvoriti dijalog za učitavanje mape.

--log-nivo=domen1,domen2,...
    postavlja nivo ozbiljnosti domena bilježenja. all se može upotrijebiti za poklapanje svih domena, a dostupni su: error, warning, info, debug. Podrazumijevano se koristi error.

--logdomains [filter]
    nabraja definisane domene beleženja (ili one koje sadrže filter, ako je zadat) i izlazi.

--max-fps
    broj kadrova po sekundi koje igra može da prikaže, trebalo bi da bude između 1 i 1000, a podrazumijevano je 50.

-m, --multiplayer
    pokreće višeigračku partiju. Uz ovu opciju mogu biti upotrijebljene još neke, navedene ispod (samo one mogu pratiti --multiplayer).

--no-delay
    pokreće igru bez ikakvih zastoja, za probu grafičkih performansi. Ovo je automatski uključeno ako se zada --nogui.

--nocache
    isključuje ostavu za podatke igre.

--nomusic
    pokreće igru bez muzike.

--nosound
    pokreće igru bez zvuka i muzike.

--path
    ispisuje ime direktorijuma sa podacima igre i izlazi.

-p, --preprocess <source file/folder> <target directory>
    preprocesses a specified file/folder. For each file(s) a plain .cfg file and a processed .cfg file will be written in specified target directory. If a folder is specified, it will be preprocessed recursively based on the known preprocessor rules. The common macroses from the "data/core/macros" directory will be preprocessed before the specified resources. Example: -p ~/wesnoth/data/campaigns/tutorial ~/result. For details regarding the preprocessor visit: http://wiki.wesnoth.org/PreprocessorRef#Command-line_preprocessor

--preprocess-defines=DEFINE1,DEFINE2,etc
    comma separated list of defines to be used by the '--preprocess' command. If SKIP_CORE is in the define list the "data/core" directory won't be preprocessed.

--preprocess-input-macros <izvorna-datoteka>
    (samo uz opciju '--preprocess') zadaje datoteku koja sadrži definicije [preproc_define] za uključivanje pri predobradi.

--preprocess-output-macros [<ciljna datoteka>]
    (samo uz opciju '--preprocess') ispisuje sve predobrađene makroe iz ciljne datoteke. Ako se datoteka ne zada, ispis će biti u datoteku '_MACROS_.cfg' u ciljnom direktorijumu iz opcije '--preprocess'. Ovu opciju treba navesti pre '--preprocess'.

-r XxY, --resolution XxY
    postavlja rezoluciju ekrana. Primjer: -r 800x600

-s, --server [domaćin]
    povezuje se sa domaćinom ako je zadat, ili sa prvim serverom u postavkama. Na primjer: --server server.wesnoth.org

--username<username>
    uses <username> when connecting to a server, ignoring other preferences.

--password<password>
    uses <password> when connecting to a server, ignoring other preferences. Unsafe.

--strict-validation
    greške overavanja smatraju se kobnim greškama.

-t, --test
    pokreće igru sa malim probnim scenariom.

--userconfig-dir name
    sets the user configuration directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the configuration directory outside the $HOME or "My Documents\My Games". Under X11 this defaults to $XDG_CONFIG_HOME or $HOME/.config/wesnoth, on other systems to the userdata path.

--userconfig-path
    ispisuje putanju korisničkog postavnog direktorijuma i izlazi.

--userdata-dir name
    sets the userdata directory to name under $HOME or "My Documents\My Games" for windows. You can also specify an absolute path for the userdata directory outside the $HOME or "My Documents\My Games".

--userdata-path
    prints the path of the userdata directory and exits.

--validcache
    pretpostavlja da je keš ažuran (opasno).

-v, --version
    prikazuje broj verzije i izlazi.

-w, --windowed
    pokreće igru unutar prozora.

--with-replay
    pušta snimak partije učitane opcijom --load.

Opcije uz --multiplayer
Opcije posebne po strani u višeigračkom režimu označene su sa broj, gdje broj treba zamijeniti brojem strane. To je obično 1 ili 2, ali zavisi od broja igrača dozvoljenih za izabrani scenario.

--ai_configbroj=vrijednost
    bira postavnu datoteku koja se učitava za VI upravljača ove strane.

--algorithmbroj=vrijednost
    bira nestandardni algoritam za VI upravljanje zadatom stranom. Moguće vrijednosti: idle_ai i sample_ai.

--controllerbroj=vrijednost
    bira upravljača za zadatu stranu. Moguće vrijednosti su: human (čovjek) i ai (VI).

--era=vrijednost
    upotrijebite ovo za igranje u izabranoj epohi umjesto podrazumijevane (Default). Epoha se bira ključem; moguće vrijednosti opisane su u datoteci data/multiplayer/eras.cfg

--exit-at-end
    izlazi pošto se scenario okonča, bez prikazivanja prozora o pobjedi/porazu na koji bi korisnik morao da odgovori. Ovo se takođe koristi za skriptovanje proba performansi.

--ignore-map-settings
    do not use map settings, use default values instead.

--multiplayer-repeat=value
    repeats a multiplayer game value times. Best to use with --nogui for scriptable benchmarking.

--nogui
    pokreće igru bez grafičkog sučelja. Mora se javiti prije --multiplayer da bi imalo željeni efekat.

--parmbroj=ime:vrijednost
    postavlja dodatne parametre za ovu stranu, koji zavise od opcija upotrijebljenih uz --controller i --algorithm. Obično korisno onima koji projektuju nove VI (još uvijek nije sasvim dokumentovano)

--scenario=vrijednost
    bira višeigrački scenario po ključu. Podrazumijevan je multiplayer_The_Freelands.

--sidebroj=vrijednost
    bira frakciju iz tekuće epohe za zadatu stranu. Frakcija se bira ključem; moguće vrijednosti opisane su u datoteci data/multiplayer.cfg

--turns=vrijednost
    postavlja broj poteza za izabrani scenario. Podrazumijevano je 50.

IZLAZNO STANJE
Redovno izlazno stanje je 0. Stanje 1 ukazuje na grešku u pripremi (SDL-a, fontova, itd). Stanje 2 ukazuje na grešku u opcijama komandne linije.

AUTOR
Napisao Dejvid Vajt (David White) <davidnwhite@verizon.net>.
Uredili Nils Knojper (Nils Kneuper) <crazy-ivanovic@gmx.net>, ott <ott@gaon.net> i Soliton <soliton.de@gmail.com>.
Ovu uputnu stranicu prvobitno je napisao Siril Butor (Cyril Bouthors) <cyril@bouthors.org>.
Posjetite zvaničnu domaću stranicu: http://www.wesnoth.org/

AUTORSKA PRAVA
Copyright © 2003-2013 David White <davidnwhite@verizon.net>
Ovo je slobodan softver; licenciran je pod uslovima OJL verzije 2 (GPLv2), koju izdaje Zadužbina za slobodni softver. Nema BILO KAKVE GARANCIJE; čak ni za KOMERCIJALNU VRIJEDNOST ili ISPUNJAVANJE ODREĐENE POTREBE.

POGLEDATI JOŠ
wesnothd(6).